[SCM] Samba Shared Repository - branch master updated

Jeremy Allison jra at samba.org
Thu Oct 12 23:23:03 UTC 2017


The branch, master has been updated
       via  156015a selftest: add some debugging to test_give_owner.sh
       via  36cbb4a Updated error message text and reduced its debug level
      from  2717263 s4:heimdal_build: there's no need to define HAVE_KRB5_ADDRESSES twice

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 156015aed0b5a72b2f7150beb5cdaffa32b554e5
Author: Ralph Boehme <slow at samba.org>
Date:   Thu Oct 12 17:07:15 2017 +0200

    selftest: add some debugging to test_give_owner.sh
    
    Signed-off-by: Ralph Boehme <slow at samba.org>
    Reviewed-by: Jeremy Allison <jra at samba.org>
    
    Autobuild-User(master): Jeremy Allison <jra at samba.org>
    Autobuild-Date(master): Fri Oct 13 01:22:05 CEST 2017 on sn-devel-144

commit 36cbb4ad49177d346ee5fe19a541dc71b4a73fdb
Author: Marc Muehlfeld <mmuehlfeld at samba.org>
Date:   Wed Oct 11 09:49:45 2017 +0200

    Updated error message text and reduced its debug level
    
    Previously, "net rpc share add|remove" commands failed if no
    "add|delete share command" parameter was set in smb.conf. However,
    the error was only logged at level 10 and not very clear.
    This patch updates the error message text and sets the log level of this
    error to 1 to make it more obvious what is missing.
    
    Signed-off-by: Marc Muehlfeld <mmuehlfeld at samba.org>
    Reviewed-by: Jeremy Allison <jra at samba.org>

-----------------------------------------------------------------------

Summary of changes:
 source3/rpc_server/srvsvc/srv_srvsvc_nt.c |  4 ++--
 source3/script/tests/test_give_owner.sh   | 24 ++++++++++++++++++++++--
 2 files changed, 24 insertions(+), 4 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/rpc_server/srvsvc/srv_srvsvc_nt.c b/source3/rpc_server/srvsvc/srv_srvsvc_nt.c
index f3173ae..2a8cf8d 100644
--- a/source3/rpc_server/srvsvc/srv_srvsvc_nt.c
+++ b/source3/rpc_server/srvsvc/srv_srvsvc_nt.c
@@ -1984,7 +1984,7 @@ WERROR _srvsvc_NetShareAdd(struct pipes_struct *p,
 		return WERR_ACCESS_DENIED;
 
 	if (!lp_add_share_command(talloc_tos()) || !*lp_add_share_command(talloc_tos())) {
-		DEBUG(10,("_srvsvc_NetShareAdd: No add share command\n"));
+		DBG_WARNING("_srvsvc_NetShareAdd: No \"add share command\" parameter set in smb.conf.\n");
 		return WERR_ACCESS_DENIED;
 	}
 
@@ -2196,7 +2196,7 @@ WERROR _srvsvc_NetShareDel(struct pipes_struct *p,
 		return WERR_ACCESS_DENIED;
 
 	if (!lp_delete_share_command(talloc_tos()) || !*lp_delete_share_command(talloc_tos())) {
-		DEBUG(10,("_srvsvc_NetShareDel: No delete share command\n"));
+		DBG_WARNING("_srvsvc_NetShareDel: No \"delete share command\" parameter set in smb.conf.\n");
 		return WERR_ACCESS_DENIED;
 	}
 
diff --git a/source3/script/tests/test_give_owner.sh b/source3/script/tests/test_give_owner.sh
index 64e09f3..c8f437e 100755
--- a/source3/script/tests/test_give_owner.sh
+++ b/source3/script/tests/test_give_owner.sh
@@ -76,14 +76,34 @@ add_ace() {
 
     # avoid duplicate
     out=$($SMBCACLS //$SERVER/$share $fname -U $USERNAME%$PASSWORD)
+    if [ $? -ne 0 ] ; then
+	echo "get acl failed"
+	echo "$out"
+	return 1
+    fi
+    echo "Original ACL"
+    echo $out
     echo "$out" | grep "$local_ace" && return 0
 
     # add it
-    $SMBCACLS //$SERVER/$share $fname -U $USERNAME%$PASSWORD -a "$ace" || return 1
+    $SMBCACLS //$SERVER/$share $fname -U $USERNAME%$PASSWORD -a "$ace"
+    if [ $? -ne 0 ] ; then
+	echo "add acl failed"
+	return 1
+    fi
 
     # check it's there
-    out=$($SMBCACLS //$SERVER/$share $fname -U $USERNAME%$PASSWORD) || return 1
+    out=$($SMBCACLS //$SERVER/$share $fname -U $USERNAME%$PASSWORD)
+    if [ $? -ne 0 ] ; then
+	echo "get new acl failed"
+	echo "$out"
+	return 1
+    fi
+    echo "New ACL"
+    echo $out
+    echo "Checking if new ACL has \"$local_ace\""
     echo "$out" | grep "$local_ace" || return 1
+    echo "ok"
 }
 
 chown_give_fails() {


-- 
Samba Shared Repository



More information about the samba-cvs mailing list